Loading...
Searching...
No Matches
p_laplacian

## Detailed Description

Examples
  p_laplacian.h, p_laplacian_damped_newton.cc, and p_laplacian_newton.cc.

Definition at line 25 of file p_laplacian.h.

## Public Types

typedef field | value_type
typedef Float | float_type

## Public Member Functions

| p_laplacian (Float p, const geo &omega, string approx)
field | initial () const
field | residue (const field &uh) const
void | update_derivative (const field &uh) const
field | derivative_solve (const field &mrh) const
field | derivative_trans_mult (const field &mrh) const
Float | space_norm (const field &uh) const
Float | dual_space_norm (const field &mrh) const

## Public Attributes

Float | p
space | Xh
field | lh
form | m
problem | pm
form | a1
problem | pa1

## Member Typedef Documentation

## value_type

typedef field value_type

Examples
  p_laplacian.h.

Definition at line 27 of file p_laplacian.h.

## float_type

typedef Float float_type

Examples
  p_laplacian.h.

Definition at line 28 of file p_laplacian.h.

## Constructor & Destructor Documentation

## p_laplacian()

p_laplacian | ( | Float | p,
|  | const geo & | omega,
|  | string | approx )

Examples
  p_laplacian.h, and p_laplacian1.icc.

Definition at line 28 of file p_laplacian1.icc.

## Member Function Documentation

## initial()

field initial | ( |  | ) | const

Examples
  p_laplacian.h, p_laplacian1.icc, p_laplacian_damped_newton.cc, and p_laplacian_newton.cc.

Definition at line 37 of file p_laplacian1.icc.

## residue()

field residue | ( | const field & | uh | ) | const

Examples
  p_laplacian.h, and p_laplacian1.icc.

Definition at line 42 of file p_laplacian1.icc.

## update_derivative()

void update_derivative | ( | const field & | uh | ) | const

Examples
  p_laplacian.h, and p_laplacian1.icc.

Definition at line 49 of file p_laplacian1.icc.

## derivative_solve()

field derivative_solve | ( | const field & | mrh | ) | const

Examples
  p_laplacian.h, and p_laplacian1.icc.

Definition at line 55 of file p_laplacian1.icc.

## derivative_trans_mult()

field derivative_trans_mult | ( | const field & | mrh | ) | const

Examples
  p_laplacian.h, and p_laplacian2.icc.

Definition at line 25 of file p_laplacian2.icc.

## space_norm()

Float space_norm | ( | const field & | uh | ) | const

Examples
  p_laplacian.h, and p_laplacian2.icc.

Definition at line 32 of file p_laplacian2.icc.

## dual_space_norm()

Float dual_space_norm | ( | const field & | mrh | ) | const

Examples
  p_laplacian.h, and p_laplacian2.icc.

Definition at line 35 of file p_laplacian2.icc.

## Member Data Documentation

## p

Float p

Examples
  p_laplacian1.icc.

Definition at line 37 of file p_laplacian.h.

## Xh

space Xh

Examples
  p_laplacian.h, p_laplacian1.icc, and p_laplacian2.icc.

Definition at line 38 of file p_laplacian.h.

## lh

field lh

Examples
  p_laplacian1.icc.

Definition at line 39 of file p_laplacian.h.

## m

form m

Examples
  p_laplacian.h, and p_laplacian2.icc.

Definition at line 40 of file p_laplacian.h.

## pm

problem pm

Examples
  p_laplacian.h, and p_laplacian2.icc.

Definition at line 41 of file p_laplacian.h.

## a1

form a1

mutable

Examples
  p_laplacian.h, p_laplacian1.icc, and p_laplacian2.icc.

Definition at line 42 of file p_laplacian.h.

## pa1

problem pa1

mutable

Examples
  p_laplacian.h, and p_laplacian1.icc.

Definition at line 43 of file p_laplacian.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/p_laplacian.h
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/p_laplacian1.icc
- /build/rheolef-L67pNR/rheolef-7.2/doc/examples/p_laplacian2.icc